<?php

return array
(
	# 表名
	'name' => 'config_project',
	# 显示给用户看的名称
	'lang' => '项目配置',
	# 是否显示在后台菜单
	'order' => 10,
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'list'		=> true,
			'order'		=> 'asc',
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '项目名称',
			'default' 	=> '',
			'desc' 		=> '项目名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
			'edit'		=> true,
		),

		'source'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '账户信息来源-一般为用户信息表，直接填写项目/表名即可，如passport/user',
            'default'   => '',
            'desc'      => '账户信息来源',
            'match'     => 'option',
            'update'    => 'text',
            'list'		=> true,
        ),

        'source_name'      => array
        (
            'type'      => 'varchar-50',
            'name'      => '账户名称字段-账户名称字段，一般为name',
            'default'   => '',
            'desc'      => '账户名称字段',
            'match'     => 'option',
            'update'    => 'text',
            'list'		=> true,
        ),

		'reorder'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '排序(数值越大越靠前)',
			'default' 	=> '1',
			'desc' 		=> '请输入排序',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'search'	=> 'order',
			'list_name' => '排序',
			'list'		=> true,
			'order'		=> 'desc',
			'edit'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			//'search'	=> 'date',
			//'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
        'edit' => false,

        # 自定义快捷新增和编辑
        'button' => array
        (
            '新增' => array('fast'),
        ),
		'list_button' => array
        (
        	'edit' => array('编辑'),
        )
	),

	'default' => array
	(
		'col' => 'name,source,source_name,state,cdate',
		'value' => array
		(
			'"默认项目","user/info","name", 1,' . DEVER_TIME,
		),
	),

	'request' => array
	(
		
	)
);
