<?php
$status = array
(
    1 => '未结算',
    2 => '已结算',
    3 => '部分结算',
    4 => '结算失败',
);
return array
(
    # 表名
    'name' => 'profit_log',
    # 显示给用户看的名称
    'lang' => '用户收益流水',
    'menu' => false,
    'status' => $status,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'        => true,
        ),

        'order_num'      => array
        (
            'type'      => 'varchar-100',
            'name'      => '流水号',
            'default'   => '',
            'desc'      => '流水号',
            'match'     => 'is_string',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'name'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '标题',
            'default'   => '',
            'desc'      => '标题',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'profit_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '收益账户id',
			'default' 	=> '',
			'desc' 		=> '收益账户id',
			'match' 	=> 'is_numeric',
            'search'    => 'hidden',
		),

        'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户ID',
			'default' 	=> '0',
			'desc' 		=> '用户名称',
			'match' 	=> 'is_numeric',
            'search'	=> 'hidden',
            'list_name'	=> '用户名称',
			'list'		=> 'Dever::load("account/lib/project.getUsername", {uid}, {config_id})',
		),

        'source'      => array
        (
            'type'      => 'varchar-150',
            'name'      => '来源表名',
            'default'   => '',
            'desc'      => '来源表名',
            'match'     => 'is_numeric',
        ),

        'source_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '来源表id',
            'default'   => '',
            'desc'      => '来源表id',
            'match'     => 'is_string',
            'update'    => 'text',
        ),

        'cash'      => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '总金额',
            'default'   => '0',
            'desc'      => '总金额',
            'match'     => 'is_numeric',
            'update'    => 'text',
            'list'      => true,
        ),

        'ycash'      => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '已结算金额',
            'default'   => '0',
            'desc'      => '已结算金额',
            'match'     => 'is_numeric',
            'update'    => 'text',
            'list'      => true,
        ),

        'tcash'      => array
        (
            'type'      => 'decimal-11,2',
            'name'      => '已结算退还金额',
            'default'   => '0',
            'desc'      => '已结算退还金额',
            'match'     => 'is_numeric',
            'update'    => 'text',
            'list'      => true,
        ),

        'desc'      => array
        (
            'type'      => 'varchar-600',
            'name'      => '收益说明',
            'default'   => '',
            'desc'      => '收益说明',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'status'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '状态',
            'match'     => 'is_numeric',
            'option'    => $status,
            'list'      => true,
        ),

        'fdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '结算时间',
            'default'   => '',
            'match'     => 'is_numeric',
            'desc'      => '',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '交易时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list_name' => '交易时间',
            'list'        => 'time',
        ),
    ),

    # 索引
    'index' => array
    (
        1 => array
        (
            'search_1' => 'profit_id,source,source_id',
            'search_2' => 'profit_id,uid',
        ),
        
        # 版本号 更改版本号会更新当前表的索引
        'version' => 1,
    ),

    'manage' => array
    (
        'insert' => false,
        'delete' => false,
        'edit' => false,
        'excel' => true,
    ),

    'request' => array
    (
        'getData' => array
        (
            'type' => 'all',
            'option' => array
            (
                'config_id' => 'yes',
                'profit_id' => 'yes',
                'uid' => 'yes',
                'start' => array('yes-cdate', '>='),
                'end' => array('yes-cdate', '<='),
                'state' => 1,
            ),
            'order' => array('id' => 'desc'),
            'page' => array(10, 'list'),
            'col' => '*',
        ),
    ),
);
